Page MenuHomePhabricator

The "ResourceLoaderTestModules" hook is listed in documentation as deprecated but doesn't emit deprecation warnings yet
Open, MediumPublic

Description

Follows-up T126091 / d1666a89fff6.

Deprecated since 1.33, in favour of QUnitTestModule extension attribute.

  • Fix the hooks.txt text to mention the intended replacement (QUnitTestModule).
  • Migrate uses of the deprecated hook in tarballed and WMF-deployed extensions.
    • Cite
    • Citoid
    • CodeMirror
    • Echo
    • Graph
    • GuidedTour
    • MobileFrontend
    • PerformanceInspector
    • QuickSurveys
    • RelatedArticles
    • TemplateData
    • TemplateWizard
    • Thanks
    • Translate
    • UniversalLanguageSelector
    • UploadWizard
    • Wikibase
    • WikibaseLexeme
    • WikidataPageBanner
  • Hard-deprecate (1.35?)
  • Remove (1.36?)

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/QuickSurveysmaster+29 -49
mediawiki/extensions/WikidataPageBannermaster+10 -25
mediawiki/extensions/Echomaster+15 -41
mediawiki/extensions/WikibaseLexememaster+62 -168
mediawiki/extensions/Translatemaster+12 -21
mediawiki/extensions/Citemaster+17 -47
mediawiki/extensions/MobileFrontendmaster+14 -28
mediawiki/coremaster+3 -2
mediawiki/extensions/PerformanceInspectormaster+10 -12
mediawiki/extensions/TemplateDatamaster+10 -20
mediawiki/extensions/Graphmaster+13 -37
mediawiki/extensions/CodeMirrormaster+12 -26
mediawiki/extensions/GuidedTourmaster+11 -17
mediawiki/extensions/Citoidmaster+10 -24
mediawiki/extensions/TemplateWizardmaster+12 -24
mediawiki/extensions/RelatedArticlesmaster+13 -40
mediawiki/extensions/Thanksmaster+13 -34
mediawiki/extensions/UniversalLanguageSelectormaster+13 -17
mediawiki/extensions/UploadWizardmaster+24 -33
Show related patches Customize query in gerrit

Event Timeline

Restricted Application added a project: Performance-Team. · View Herald TranscriptSep 13 2019, 5:54 PM
Krinkle triaged this task as Medium priority.Sep 13 2019, 5:58 PM
Krinkle updated the task description. (Show Details)
Krinkle removed a project: Technical-Debt.
Krinkle moved this task from Inbox to Backlog: Small & Maintenance on the Performance-Team board.
Krinkle moved this task from Inbox to Accepted Enhancement on the MediaWiki-ResourceLoader board.
Restricted Application added a project: User-DannyS712. · View Herald TranscriptMar 31 2020, 7:52 PM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Mar 31 2020, 7:52 PM
DannyS712 removed DannyS712 as the assignee of this task.Apr 21 2020, 12:16 AM

This can't be hard-deprecated until Wikibase is fixed, which is itself blocked on moving that mutli-extension repo to use static extension registration. Joy.

Change 595612 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Document what people should use instead of the ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/595612

Change 595617 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/UploadWizard@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595617

Change 595618 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/UniversalLanguageSelector@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595618

Change 595617 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595617

Change 595624 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Thanks@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595624

Change 595625 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TemplateWizard@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595625

Change 595618 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595618

Change 595626 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TemplateData@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595626

Change 595628 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/RelatedArticles@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595628

Change 595630 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/PerformanceInspector@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595630

Change 595632 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/QuickSurveys@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595632

Change 595624 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595624

Change 595633 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/MobileFrontend@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595633

Change 595626 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595626

Change 595630 merged by jenkins-bot:
[mediawiki/extensions/PerformanceInspector@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595630

Change 595635 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/GuidedTour@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595635

Change 595628 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595628

Change 595625 merged by jenkins-bot:
[mediawiki/extensions/TemplateWizard@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595625

Change 595636 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Graph@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595636

Change 595638 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Echo@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595638

Change 595639 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/CodeMirror@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595639

Change 595643 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Citoid@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595643

Change 595645 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Cite@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595645

Change 595635 merged by jenkins-bot:
[mediawiki/extensions/GuidedTour@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595635

Change 595633 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595633

Change 595639 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595639

Change 595643 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595643

Change 595636 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595636

Change 595645 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595645

Change 595612 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Document replacement for the ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/595612

Reedy updated the task description. (Show Details)May 11 2020, 10:02 PM
Jdforrester-WMF updated the task description. (Show Details)

Change 595733 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Translate@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595733

Change 595735 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseLexeme@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595735

Change 595736 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikidataPageBanner@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595736

Change 595733 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595733

This can't be hard-deprecated until Wikibase is fixed, which is itself blocked on moving that mutli-extension repo to use static extension registration. Joy.

Is there an existing ticket about fixing Wikibase, so this ticket should depend on that one?

Reedy added a subscriber: Reedy.May 17 2020, 9:59 PM

This can't be hard-deprecated until Wikibase is fixed, which is itself blocked on moving that mutli-extension repo to use static extension registration. Joy.

Is there an existing ticket about fixing Wikibase, so this ticket should depend on that one?

T88258: Convert WikibaseRepository, WikibaseClient, WikibaseLib and WikibaseView to use extension registration

Change 595736 merged by jenkins-bot:
[mediawiki/extensions/WikidataPageBanner@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595736

Change 595632 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] Use QUnitTestModule instead of deprecated ResourceLoaderTestModules

https://gerrit.wikimedia.org/r/595632

Legoktm added a subscriber: Legoktm.

Not going to make 1.35...